edu.sc.seis.sod

## Class SodFlag

- java.lang.Object
- - edu.sc.seis.fissuresUtil.display.drawable.Flag
  - - edu.sc.seis.sod.SodFlag

- All Implemented Interfaces:
    edu.sc.seis.fissuresUtil.display.drawable.Drawable

      public class SodFlag
      extends edu.sc.seis.fissuresUtil.display.drawable.Flag

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.fissuresUtil.display.drawable.Flag

      `BACK_AZIMUTH, CHANNEL, DISTANCE_FROM_ORIG, EVENT_DEPTH, EVENT_LAT, EVENT_LON, EVENT_MAG, EVENT_NAME, EVENT_ORIG, NAME, ORIGIN_DIFF, TAUP_P, TIME, TIME_DIFF_ORIG_P`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SodFlag(edu.iris.Fissures.model.MicroSecondDate flagTime, java.lang.String name, edu.sc.seis.fissuresUtil.display.SeismogramDisplay sd)`
    `SodFlag(edu.iris.Fissures.model.MicroSecondDate flagTime, java.lang.String name, edu.sc.seis.fissuresUtil.display.SeismogramDisplay sd, edu.sc.seis.fissuresUtil.display.drawable.DrawableSeismogram seis)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlagData` | `getFlagData()`
    `int` | `getFlagLocation(java.awt.Dimension size, edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)`

    - ### Methods inherited from class edu.sc.seis.fissuresUtil.display.drawable.Flag

      `createFlagElement, draw, getColor, getFlagData, getFlagDataHeader, getFlagFromElement, getFlagTime, getName, getTimeDifferenceFromOrigin, setColor, setFlagTime, setVisibility`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SodFlag

          public SodFlag(edu.iris.Fissures.model.MicroSecondDate flagTime,
                         java.lang.String name,
                         edu.sc.seis.fissuresUtil.display.SeismogramDisplay sd)

    - #### SodFlag

          public SodFlag(edu.iris.Fissures.model.MicroSecondDate flagTime,
                         java.lang.String name,
                         edu.sc.seis.fissuresUtil.display.SeismogramDisplay sd,
                         edu.sc.seis.fissuresUtil.display.drawable.DrawableSeismogram seis)

  - ### Method Detail

    - #### getFlagLocation

          public int getFlagLocation(java.awt.Dimension size,
                                     edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)

      Overrides:
        `getFlagLocation` in class `edu.sc.seis.fissuresUtil.display.drawable.Flag`

    - #### getFlagData

          public FlagData getFlagData()